LOCAL_PATH := $(call my-dir)
include $(CLEAR_VARS)
include $(LOCAL_PATH)/../av.mk
LOCAL_SRC_FILES := $(FFFILES)
LOCAL_C_INCLUDES :=		\
	$(LOCAL_PATH)		\
	$(LOCAL_PATH)/.. \
	$(TOP)/external/zlib

LOCAL_CFLAGS += $(FFCFLAGS)
LOCAL_LDLIBS := -lz
LOCAL_STATIC_LIBRARIES := $(FFLIBS)

LOCAL_SHARED_LIBRARIES := libz

LOCAL_MODULE_TAGS := optional

LOCAL_MODULE := $(FFNAME)

ifneq ($(filter da80,$(TARGET_PRODUCT)),)
LOCAL_CFLAGS += -DSUPPORT_DA80
LOCAL_ARM_MODE := arm
LOCAL_SRC_FILES += arm/dsputil_init_arm.c        \
                                          arm/dsputil_arm.S             \
										  arm/fmtconvert_init_arm.c		\
                                          arm/fft_init_arm.c            \
                                          arm/jrevdct_arm.S             \
                                          arm/mpegvideo_arm.c           \
                                          arm/simple_idct_arm.S  \
                                          arm/vp8dsp_init_arm.c 
                                          
ifeq ($(CONFIG_AC3DSP),yes)
LOCAL_SRC_FILES += /arm/ac3dsp_init_arm.c \
                    arm/ac3dsp_arm.S
endif

ifeq ($(CONFIG_DCA_DECODER),yes)
LOCAL_SRC_FILES += arm/dcadsp_init_arm.c
endif

ifeq ($(CONFIG_VP5_DECODER),yes)
LOCAL_SRC_FILES += arm/vp56dsp_init_arm.c
endif

ifeq ($(CONFIG_VP6_DECODER),yes)
LOCAL_SRC_FILES += arm/vp56dsp_init_arm.c
endif

ifeq ($(CONFIG_H264DSP),yes)
LOCAL_SRC_FILES += arm/h264dsp_init_arm.c        \
                   arm/h264pred_init_arm.c       
endif


ifeq ($(HAVE_ARMV5TE),yes)
LOCAL_SRC_FILES += arm/dsputil_init_armv5te.c    \
                                          arm/mpegvideo_armv5te.c       \
                                          arm/mpegvideo_armv5te_s.S     \
                                          arm/simple_idct_armv5te.S
endif

ifeq ($(HAVE_ARMV6),yes)
LOCAL_SRC_FILES += arm/dsputil_init_armv6.c      \
                                          arm/dsputil_armv6.S           \
                                          arm/simple_idct_armv6.S       \
arm/vp8_armv6.S \
arm/ac3dsp_armv6.S
endif

ifeq ($(HAVE_ARMVFP),yes)
LOCAL_SRC_FILES += arm/dsputil_vfp.S             \
                                          arm/dsputil_init_vfp.c \
arm/fmtconvert_vfp.S
endif

ifeq ($(HAVE_IWMMXT),yes)
LOCAL_SRC_FILES += arm/dsputil_iwmmxt.c          \
                                          arm/mpegvideo_iwmmxt.c
endif

ifeq ($(HAVE_NEON),yes)
LOCAL_SRC_FILES += arm/dsputil_init_neon.c       \
                                          arm/dsputil_neon.S            \
                                          arm/int_neon.S                \
                                          arm/simple_idct_neon.S       \
arm/fmtconvert_neon.S \
arm/mpegvideo_neon.S \
arm/vp8dsp_neon.S   \
arm/ac3dsp_neon.S

ifeq ($(CONFIG_FFT),yes)
LOCAL_SRC_FILES += arm/fft_neon.S
endif

ifeq ($(CONFIG_MDCT),yes)
LOCAL_SRC_FILES += arm/mdct_neon.S
endif

ifeq ($(CONFIG_RDFT),yes)
LOCAL_SRC_FILES += arm/rdft_neon.S 
endif

ifeq ($(CONFIG_H264DSP),yes)
LOCAL_SRC_FILES += arm/h264dsp_neon.S            \
                                          arm/h264idct_neon.S           \
                                          arm/h264pred_neon.S
endif

ifeq ($(CONFIG_DCA_DECODER),yes)
LOCAL_SRC_FILES += arm/dcadsp_neon.S             \
                                          arm/synth_filter_neon.S
endif

ifeq ($(CONFIG_VP3_DECODER),yes)
LOCAL_SRC_FILES += arm/vp3dsp_neon.S
endif

ifeq ($(CONFIG_VP5_DECODER),yes)
LOCAL_SRC_FILES += arm/vp56dsp_neon.S
endif

ifeq ($(CONFIG_VP6_DECODER),yes)
LOCAL_SRC_FILES += arm/vp56dsp_neon.S
endif

endif #($(HAVE_NEON),yes)
endif #($(filter da80,$(TARGET_PRODUCT)),)

include $(BUILD_STATIC_LIBRARY)
